com.google.gwt.user.client.ui

## Interface SourcesTreeEvents

- All Known Implementing Classes:
    Tree

  Deprecated.
  use `HasBeforeSelectionHandlers`, `HasOpenHandlers` and `HasClickHandlers` instead

      @Deprecated
      public interface SourcesTreeEvents

  A widget that implements this interface sources the events defined by the `TreeListener` interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTreeListener(TreeListener listener)` Deprecated. use `HasBeforeSelectionHandlers.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler<T>)`, `HasOpenHandlers.addOpenHandler(com.google.gwt.event.logical.shared.OpenHandler<T>)` and `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead
    `void` | `removeTreeListener(TreeListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

- - ### Method Detail

    - #### addTreeListener

          @Deprecated
          void addTreeListener(TreeListener listener)

      Deprecated. use `HasBeforeSelectionHandlers.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler<T>)`, `HasOpenHandlers.addOpenHandler(com.google.gwt.event.logical.shared.OpenHandler<T>)` and `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead
      Adds a listener interface to receive tree events.
      Parameters:
        `listener` - the listener interface to add

    - #### removeTreeListener

          @Deprecated
          void removeTreeListener(TreeListener listener)

      Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead
      Removes a previously added listener interface.
      Parameters:
        `listener` - the listener interface to remove